![GitHub top language](https://img.shields.io/github/languages/top/korreckj328/bing_hashing_image_downloader)
![GitHub](https://img.shields.io/github/license/korreckj328/bing_hashing_image_downloader)
[![Hits](https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fkorreckj328%2Fbing_hashing_image_downloader&count_bg=%2379C83D&title_bg=%23555555&icon=&icon_color=%23E7E7E7&title=hits&edge_flat=false)](https://hits.seeyoufarm.com)

## Bing Hashing Image Downloader
<hr>

Python library to download bulk of images form Bing.com.
The downloader will obtain a sha1 hash of each image as it downloads and compare it to a hash of previous
downloads before saving it to ensure no duplicate images are saved.  
This package uses async url, which makes it very fast while downloading.<br/>


### Disclaimer<br />

This program lets you download tons of images from Bing.
Please do not download or use any image that violates its copyright terms. 

### Installation <br />

```bash
git clone https://github.com/korreckj328/bing_hashing_image_downloader
cd bing_hashing_image_downloader
pip install .
```

or 
```bash
pip install bing-hashing-image-downloader
```

### Usage <br />

```python
from bing_hashing_image_downloader import downloader

downloader.download(query_string, limit=100, output_dir='dataset', adult_filter_off=True,
                    timeout=60, size='none' verbose=True)
```

`query_string` : String to be searched.<br />
`limit` : (optional, default is 100) Number of images to download.<br />
`output_dir` : (optional, default is 'dataset') Name of output dir.<br />
`adult_filter_off` : (optional, default is True) Enable of disable adult filteration.<br />
`timeout` : (optional, default is 60) timeout for connection in seconds.<br />
`filter` : (optional, default is "") filter, choose from [line, photo, clipart, gif, transparent]<br />
`size` : (optional, default is 'none') or a tuple can be entered to resize the image.<br />
`verbose` : (optional, default is True) Enable downloaded message.<br />


You can also test the programm by runnning `test.py`


</br>


### Thanks
Thanks to the original author of this program.  It formed the base for these improvements that I made for my
own use.  You can see the original here: https://github.com/gurugaurav/bing_image_downloader <br />



